ViewFunctions.PerfilPacienteFunctions

com.uva.rafael.tfg_goniometer.interfaces

## Interface ViewFunctions.PerfilPacienteFunctions

- All Known Implementing Classes:
    PerfilPacienteFragment
  Enclosing interface:
    ViewFunctions

      public static interface ViewFunctions.PerfilPacienteFunctions

  Interfaz correspondiente al `Fragment PerfilPacienteFragment`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addView(android.view.View view)` Metodo que se encarga de añadir una `View` hija al `Table Layout` que contiene el listado de mediciones del paciente
    `void` | `displayResult(android.support.v7.app.AlertDialog dialog)` Metodo que simplemente muestra el `AlertDialog` que ha recibido como parametro.
    `void` | `setConstantesBundle(java.util.ArrayList<java.lang.String> constantesBundle)` Metodo que se encarga de asignar a las variables locales, la informacion contenida en el `Bundle`
    `void` | `setText(int textView, java.lang.String text)` Metodo que se encarga de escribir en el `TextView` indicado el texto que recibe como parametro.

- - ### Method Detail

    - #### setConstantesBundle

          void setConstantesBundle(java.util.ArrayList<java.lang.String> constantesBundle)

      Metodo que se encarga de asignar a las variables locales, la informacion contenida en el `Bundle`
      Parameters:
        `constantesBundle` - `ArrayList` con las constantes para obtener la informacion del `Bundle`

    - #### setText

          void setText(int textView,
                       java.lang.String text)

      Metodo que se encarga de escribir en el `TextView` indicado el texto que recibe como parametro.
      Parameters:
        `textView` - `TextView` en el que se debe escribir
        `text` - Texto a escribir

    - #### addView

          void addView(android.view.View view)

      Metodo que se encarga de añadir una `View` hija al `Table Layout` que contiene el listado de mediciones del paciente
      Parameters:
        `view` - `View` hija a añadir

    - #### displayResult

          void displayResult(android.support.v7.app.AlertDialog dialog)

      Metodo que simplemente muestra el `AlertDialog` que ha recibido como parametro.
      Parameters:
        `dialog` - `AlertDialog` a mostrar